%define upstream_name    File-Find-CaseCollide
%define upstream_version 0.2.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Test for collisions in filenames, differing only in case
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util) >= 1.350.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This tests for filenames in the same directory which differ only in
lowercase vs uppercase letters which some filesystems do not support (e.g:
"hello.txt" vs. "Hello.txt").

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.2.0-2.mga9
+ Revision: 1819769
- Mageia 9 Mass Rebuild

* Sat Apr 25 2020 tv <tv> 0.2.0-1.mga8
+ Revision: 1572035
- update to 0.2.0

* Sat Feb 15 2020 umeabot <umeabot> 0.0.2-2.mga8
+ Revision: 1526771
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.0.2-1.mga8
+ Revision: 1415579
- update to 0.0.2

* Thu Sep 20 2018 umeabot <umeabot> 0.0.1-2.mga7
+ Revision: 1283665
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 shlomif <shlomif> 0.0.1-1.mga7
+ Revision: 1241690
- imported package perl-File-Find-CaseCollide


* Wed Jul 04 2018 cpan2dist 0.0.1-1mga
- initial mageia release, generated with cpan2dist
